"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseQueryParams = void 0;
const index_1 = require("../../constants/index");
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const qs_1 = __importDefault(require("qs"));
const parseQueryParams = (query) => {
    if (!query?.includes('?')) {
        return {};
    }
    // Prevent inserting JavaScript code in URL
    if (/[<>()]/.test(query)) {
        return {};
    }
    try {
        new URL(query, sdkDappCore_1.safeWindow?.location?.origin);
        return qs_1.default.parse(query?.split('?')[1], { arrayLimit: index_1.MAX_TRANSACTIONS });
    }
    catch (error) {
        console.error('Error parsing query parameters:', error);
        return {};
    }
};
exports.parseQueryParams = parseQueryParams;
//# sourceMappingURL=parseQueryParams.js.map